edu.ucsb.nceas.metacat.oaipmh.harvester

## Class ListRecords

- java.lang.Object
- - edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb
  - - edu.ucsb.nceas.metacat.oaipmh.harvester.ListRecords

-     public class ListRecords
      extends HarvesterVerb

  This class represents an ListRecords response on either the server or on the client
  Author:
    Jeffrey A. Young, OCLC Online Computer Library Center

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb

      `SCHEMA_LOCATION_V2_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ListRecords()` Mock object constructor (for unit testing purposes)
    `ListRecords(java.lang.String baseURL, java.lang.String resumptionToken)` Client-side ListRecords verb constructor (resumptionToken version)
    `ListRecords(java.lang.String baseURL, java.lang.String from, java.lang.String until, java.lang.String metadataPrefix, java.lang.String setSpec)` Client-side ListRecords verb constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getResumptionToken()` Get the oai:resumptionToken from the response

    - ### Methods inherited from class edu.ucsb.nceas.metacat.oaipmh.harvester.HarvesterVerb

      `getDocument, getErrors, getNodeList, getRequestURL, getSchemaLocation, getSingleString, runVerb, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ListRecords

          public ListRecords()

      Mock object constructor (for unit testing purposes)

    - #### ListRecords

          public ListRecords(java.lang.String baseURL,
                             java.lang.String from,
                             java.lang.String until,
                             java.lang.String metadataPrefix,
                             java.lang.String setSpec)
                      throws java.io.IOException,
                             javax.xml.parsers.ParserConfigurationException,
                             org.xml.sax.SAXException,
                             javax.xml.transform.TransformerException

      Client-side ListRecords verb constructor
      Parameters:
        `baseURL` - the baseURL of the server to be queried
      Throws:
        `MalformedURLException` - the baseURL is bad
        `org.xml.sax.SAXException` - the xml response is bad
        `java.io.IOException` - an I/O error occurred
        `javax.xml.parsers.ParserConfigurationException`
        `javax.xml.transform.TransformerException`

    - #### ListRecords

          public ListRecords(java.lang.String baseURL,
                             java.lang.String resumptionToken)
                      throws java.io.IOException,
                             javax.xml.parsers.ParserConfigurationException,
                             org.xml.sax.SAXException,
                             javax.xml.transform.TransformerException

      Client-side ListRecords verb constructor (resumptionToken version)
      Parameters:
        `baseURL` -
        `resumptionToken` -
      Throws:
        `java.io.IOException`
        `javax.xml.parsers.ParserConfigurationException`
        `org.xml.sax.SAXException`
        `javax.xml.transform.TransformerException`

  - ### Method Detail

    - #### getResumptionToken

          public java.lang.String getResumptionToken()
                                              throws javax.xml.transform.TransformerException,
                                                     java.lang.NoSuchFieldException

      Get the oai:resumptionToken from the response
      Returns:
        the oai:resumptionToken value
      Throws:
        `javax.xml.transform.TransformerException`
        `java.lang.NoSuchFieldException`

Copyright © 2020 Regents of the University of California. All Rights Reserved.